.wrapper-footer {
    position: relative;
    background: #0B2231 url('i/footer-bg.webp') no-repeat center center;
    background-size: cover;
    color: #fff;
    padding: clamp(100px, 20vw, 180px) 20px 50px;

    font-size: 1.2em;
}

.wrapper-footer::before {
    content: '';
    position: absolute;
    top: 4px;
    left: 0;
    height: 2px;
    width: 100%;
    background: #FBDF95;
}

@media 
(-webkit-min-device-pixel-ratio: 1.5), 
(min-resolution: 144dpi) {
    .wrapper-footer {
        background-image: url('i/footer-bg-2x.webp')
    }
}

:where(.wrapper-footer figure) {
    margin: 0;
}


.wrapper-footer__container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.wrapper-footer__footer-menu {
    margin: 0;
    padding: 0;
    list-style: none;
    text-align: center;
}

.wrapper-footer__footer-menu a {
    color: #fff;
    text-decoration: none;
    display: inline-block;
    font-weight: 400;
    padding: 2px 0;
    text-transform: uppercase;
}

.wrapper-footer__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 400px;
    margin: 0 auto;
}

.wrapper-footer__inner .wrapper-footer__text:not(:first-child) {
    margin-bottom: 1em;
}

@media (max-width: 610px) {
    .wrapper-footer__inner {
        max-width: 90%;
    }
    a.wrapper-footer__footer-link {
        font-size: 0.9em;
    }

     a.email-link {
        font-size: 0.7em;
    }
}

.wrapper-footer__figure {
    width: 100%;
    max-width: 200px;
    margin-bottom: 1em;
    margin-top: -2em;
}

.wrapper-footer__text {
    text-align: center;
}

.wrapper-footer__text:is(address) {
    font-style: normal;
    line-height: 1.4;
}

.wrapper-footer__footer-link {
    color: #FDF2C5;
}

.wrapper-footer__heading {
    color: currentColor;
    font-family: var(--pix-heading-font);
    font-weight: 700;
    line-height: 1;
    font-size: 1.6em;
    color: var(--pix-color-primary);
    margin-bottom: 0.5em;
}

.footer-nav__list {
    text-align: center;
}

.footer-nav__link {
    color: var(--pix-color-backgroud);
    text-decoration: none;
    display: inline-block;
    font-weight: 400;
    padding: 1.6px 0;

    &:hover {
        color: var(--pix-color-accent);
    }
}


.footer-reseaux {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.5em;
}
.footer-reseaux__link {
    display: inline-block;
}

.footer-hours {
    font-weight: 700;
}



.wrapper-footer__mentions {
    margin-top: 200px;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-size: 0.75em;
}

.wrapper-footer__mentions a {
    color: #B8B8B8;
    font-weight: 700;
}

.wrapper-footer__mentions .mention__alcool {
    margin-top: 0.5em;
    text-transform: uppercase;
}

@media (width <= 1040px) {
    .wrapper-footer__container {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 32px;
    }

    .wrapper-footer__column-column-1 {
        grid-column: 1 / 3;
    }
}

@media (width <= 610px) {
    .wrapper-footer__container {
        grid-template-columns: 1fr;
    }

    .wrapper-footer__column-column-1 {
        grid-column: 1;
    }

    .wrapper-footer__footer-tradition {
        max-width: 200px;
    }
}
